Set node effective version

Switches the effective revision of the output block of the specified processing node.

POST https://moi.matrixorigin.cn/newmoi/lineage/artifacts/{artifact_id}/nodes/{node_id}/effective-revisions

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Request body

switchesarrayRequired
The output block and target revision to switch.
switches[].block_idstringRequired
Output block ID.
switches[].effective_revision_idstring
The revision ID to be made effective.
switches[].use_originalboolean
Set the original content as the effective content.
expected_effective_set_versioninteger
The expected effective revision set version.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/lineage/artifacts/$ARTIFACT_ID/nodes/$NODE_ID/effective-revisions" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "switches": [
      {"block_id": "block-001", "effective_revision_id": "rev-002"}
    ]
  }'

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

The response fields are as follows.

data.artifact_idstring
Product ID.
data.node_idstring
Node ID.
data.effective_set_versioninteger
The effective revision set version after switching.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {"artifact_id": "art-001", "node_id": "node-001", "effective_set_version": 4}
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
Last updated on